SETLOCAL enabledelayedexpansion

@echo off

rem ==================================================
rem download The FNC Greedy System folder
rem ==================================================
rem --------------------------------------------------
rem Select
rem --------------------------------------------------
set "RootFolder=C:\Users\%USERNAME%\Downloads"
set "Title=Select latest version folder"
set dialog="about:<script language=vbscript>resizeTo 0,0:Sub window_onload():
set dialog=%dialog%Set Shell=CreateObject("Shell.Application"):
set dialog=%dialog%Set Env=CreateObject("WScript.Shell").Environment("Process"):
set dialog=%dialog%Set Folder=Shell.BrowseForFolder(0, Env("Title"), 1, Env("RootFolder")):
set dialog=%dialog%If Folder Is Nothing Then ret="" Else ret=Folder.Items.Item.Path End If:
set dialog=%dialog%CreateObject("Scripting.FileSystemObject").GetStandardStream(1).Write ret:
set dialog=%dialog%Close:End Sub</script><hta:application caption=no showintaskbar=no />"
rem --------------------------------------------------
rem Selected
rem --------------------------------------------------
set LATESTFOLDER=
for /f "delims=" %%p in ('MSHTA.EXE %dialog%') do  set "LATESTFOLDER=%%p"
if "%LATESTFOLDER%"=="" ( 
    echo ****************************************
    echo Cancelled. Not copied.
    echo ****************************************
    goto end
 )
echo Latest folder  (src) %LATESTFOLDER%
rem --------------------------------------------------
rem src folders
rem --------------------------------------------------
set srcInclude=%LATESTFOLDER%\Include\FNC_DB2
set srcExperts=%LATESTFOLDER%\Experts\FNC_DB2
set srcIndicators1=%LATESTFOLDER%\Indicators\FNC_DB2_Indicators
set srcIndicators2=%LATESTFOLDER%\Indicators\FNC_DB2
set srcFiles=%LATESTFOLDER%\Files\FNC_DB2
set srcLibraries=%LATESTFOLDER%\Libraries
set srctemplates=%LATESTFOLDER%\templates
rem --------------------------------------------------
rem src check
rem --------------------------------------------------
if not exist "%srcIndicators2%" ( 
    echo ****************************************
    echo Cancelled. Wrong download folder. Not copied.
    echo ****************************************
    goto end
 )


rem ==================================================
rem MT4 user folder
rem ==================================================
rem --------------------------------------------------
rem Select
rem --------------------------------------------------
set "RootFolder=C:\Users\%USERNAME%\AppData\Roaming\MetaQuotes\Terminal"
set "Title=Select MT4 user folder"
set dialog="about:<script language=vbscript>resizeTo 0,0:Sub window_onload():
set dialog=%dialog%Set Shell=CreateObject("Shell.Application"):
set dialog=%dialog%Set Env=CreateObject("WScript.Shell").Environment("Process"):
set dialog=%dialog%Set Folder=Shell.BrowseForFolder(0, Env("Title"), 1, Env("RootFolder")):
set dialog=%dialog%If Folder Is Nothing Then ret="" Else ret=Folder.Items.Item.Path End If:
set dialog=%dialog%CreateObject("Scripting.FileSystemObject").GetStandardStream(1).Write ret:
set dialog=%dialog%Close:End Sub</script><hta:application caption=no showintaskbar=no />"
rem --------------------------------------------------
rem Selected
rem --------------------------------------------------
set MT4FOLDER=
for /f "delims=" %%p in ('MSHTA.EXE %dialog%') do  set "MT4FOLDER=%%p"
if "%MT4FOLDER%"=="" ( 
    echo ****************************************
    echo Cancelled. Not copied.
    echo ****************************************
    goto end
 )
echo MT4 user folder(dst) %MT4FOLDER%
rem --------------------------------------------------
rem dst folders
rem --------------------------------------------------
set dstInclude=%MT4FOLDER%\MQL4\Include\FNC_DB2\
set dstExperts=%MT4FOLDER%\MQL4\Experts\FNC_DB2\
set dstIndicators1=%MT4FOLDER%\MQL4\Indicators\FNC_DB2_Indicators\
set dstIndicators2=%MT4FOLDER%\MQL4\Indicators\FNC_DB2\
set dstLibraries=%MT4FOLDER%\MQL4\Libraries\
set dstFiles=%MT4FOLDER%\MQL4\Files\FNC_DB2\
set dstLibraries=%MT4FOLDER%\MQL4\Libraries\
set dsttemplates=%MT4FOLDER%\templates\
rem --------------------------------------------------
rem dst check
rem --------------------------------------------------
if not exist "%dsttemplates%" ( 
    echo ****************************************
    echo Cancelled. Wrong MT4 user folder. Not copied.
    echo ****************************************
    goto end
 )


rem ==================================================
rem create folders
rem ==================================================
if not exist "%dstInclude%" mkdir "%dstInclude%"
if not exist "%dstExperts%" mkdir "%dstExperts%"
if not exist "%dstIndicators1%" mkdir "%dstIndicators1%"
if not exist "%dstIndicators2%" mkdir "%dstIndicators2%"
if not exist "%dstFiles%" mkdir "%dstFiles%"

rem ==================================================
rem delete
rem ==================================================
del "%dstInclude%FNC_*.*"
del "%dstExperts%FNC_*.*"
del "%dstIndicators1%*.*" /Q
del "%dstIndicators2%*.*" /Q
del "%dstLibraries%FNC_*.*" /Q
rem del "%dstFiles%*.*"
rem del "%dsttemplates%FNC*.*"


rem ==================================================
rem copy force replace
rem ==================================================
copy "%srcInclude%\*.*" "%dstInclude%" /Y
copy "%srcExperts%\*.*" "%dstExperts%" /Y
copy "%srcIndicators1%\*.*" "%dstIndicators1%" /Y
copy "%srcIndicators2%\*.*" "%dstIndicators2%" /Y
copy "%srcFiles%\*.*" "%dstFiles%" /Y
copy "%srcLibraries%\*.*" "%dstLibraries%" /Y
copy "%srctemplates%\*.*" "%dsttemplates%" /Y


rem ==================================================
echo ****************************************
echo completed.
echo ****************************************
rem ==================================================


rem ==================================================
:end
rem ==================================================


pause

ENDLOCAL
